Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#73213 - [kodi] need to add options=(!lto) due to devtools update

Attached to Project: Community Packages
Opened by John (graysky) - Saturday, 01 January 2022, 12:02 GMT
Last edited by Antonio Rojas (arojas) - Friday, 18 February 2022, 11:41 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Ike Devolder (BlackEagle)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

With the release of devtools 20210202-1, LTO is enabled by default.[1] This breaks building as kodi handles it internally. We should disable it in the PKGUBILD. See attached patch.

1. https://github.com/archlinux/devtools/commit/16b7a0e7e8ef795621172cb08887a2f86f0b0222
This task depends upon

Closed by  Antonio Rojas (arojas)
Friday, 18 February 2022, 11:41 GMT
Reason for closing:  Fixed
Additional comments about closing:  https://github.com/archlinux/svntogit-co mmunity/commit/5682606040cab61d5dbf610f4 d18977b267449d8
Comment by loqs (loqs) - Saturday, 01 January 2022, 20:21 GMT
kodi does not handle it internally for its bundled ffmpeg which is why the build fails when lto is added using FLAGS, discussed previously [1].

[1] https://bugs.archlinux.org/task/69333#comment196255
Comment by John (graysky) - Saturday, 01 January 2022, 20:35 GMT
@loqs - Right... so if we build with the default options=(lto) and we apply your `LTO.patch` that is better than building with options=(!lto) but doesn't cover what you pointed out:
>Not figured out how to fix ffmpeg's configure script to disable inline_asm_direct_symbol_refs when -flto is used in FLAGS.

Any other thoughts?
Comment by John (graysky) - Tuesday, 15 February 2022, 15:55 GMT
We need to apply this patch now or else kodi 19.3-2 will not build using an up-to-date system. Alternatively, come up with something else. I attached the build log showing the breakage with the currently PKGBUILD.

Loading...